## org.eclipse.datatools.sqltools.sqlbuilder.model
Class SQLDialectInfo

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.model.SQLDialectInfo

All Implemented Interfaces:
  ISQLDialectInfo

    public class SQLDialectInfo

extends java.lang.Object
implements ISQLDialectInfo

This class defines the set of properties defines the set of properties which determine a SQL dialect.

Constructor Summary
`SQLDialectInfo()` Constructor for SQLDialectInfo
`SQLDialectInfo(java.lang.String product, java.lang.String version, java.lang.String omitSchema)` Constructor for SQLDialectInfo

Method Summary
`static SQLDialectInfo` `decode(java.lang.String code)` Decodes a `SQLDialectInfo` from an encoded String.
`java.lang.String` `encode()` Implements `ISQLDialectInfo.encode()`
`java.lang.String` `getOmitSchema()` Implements `ISQLDialectInfo.getOmitSchema()`
`java.lang.String` `getProduct()` Implements `ISQLDialectInfo.getProduct()`
`java.lang.String` `getVersion()` Implements `ISQLDialectInfo.getVersion()`
`void` `setOmitSchema(java.lang.String omitSchema)` Implements `ISQLDialectInfo.setOmitSchema(String)`
`void` `setProduct(java.lang.String product)` Implements `ISQLDialectInfo.setProduct(String)`
`void` `setVersion(java.lang.String version)` Implements `ISQLDialectInfo.setVersion(String)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDialectInfo

    public SQLDialectInfo(java.lang.String product,
                          java.lang.String version,
                          java.lang.String omitSchema)

  Constructor for SQLDialectInfo

### SQLDialectInfo

    public SQLDialectInfo()

  Constructor for SQLDialectInfo

Method Detail

### getProduct

    public java.lang.String getProduct()

  Implements `ISQLDialectInfo.getProduct()`

  Specified by:
    `getProduct` in interface `ISQLDialectInfo`
  Returns:
    the database product name

### setProduct

    public void setProduct(java.lang.String product)

  Implements `ISQLDialectInfo.setProduct(String)`

  Specified by:
    `setProduct` in interface `ISQLDialectInfo`

### getVersion

    public java.lang.String getVersion()

  Implements `ISQLDialectInfo.getVersion()`

  Specified by:
    `getVersion` in interface `ISQLDialectInfo`
  Returns:
    the database version

### setVersion

    public void setVersion(java.lang.String version)

  Implements `ISQLDialectInfo.setVersion(String)`

  Specified by:
    `setVersion` in interface `ISQLDialectInfo`

### getOmitSchema

    public java.lang.String getOmitSchema()

  Implements `ISQLDialectInfo.getOmitSchema()`

  Specified by:
    `getOmitSchema` in interface `ISQLDialectInfo`
  Returns:
    the omitSchema

### setOmitSchema

    public void setOmitSchema(java.lang.String omitSchema)

  Implements `ISQLDialectInfo.setOmitSchema(String)`

  Specified by:
    `setOmitSchema` in interface `ISQLDialectInfo`

### encode

    public java.lang.String encode()

  Implements `ISQLDialectInfo.encode()`

  Specified by:
    `encode` in interface `ISQLDialectInfo`
  Returns:
    encoded String
  See Also:
    `decode()`

### decode

    public static SQLDialectInfo decode(java.lang.String code)

  Decodes a `SQLDialectInfo` from an encoded String.

  Parameters:
    `code` - encoded `SQLDialectInfo` object.
  Returns:
    `SQLDialectInfo` object
  See Also:
    `encode()`